<smms_extension type="smms_ext" version="1.5.0">
    <name>KEYWORDS Metadata Module</name>
    <author>Joel Bassett</author>
	<creationDate>10/01/2010</creationDate>
    <copyright>(C) 2005-2010 Australian Quality Solutions Group. All rights reserved.</copyright>
    <license>AGPLv3 - http://www.aqsg.com.au/products/simple-meta-management-suite/licence.html</license>
    <authorEmail>joel@aqsg.com.au</authorEmail>
    <authorUrl>http://www.aqsg.com.au</authorUrl>
    <version>1.5.4 [Dragonbane]</version>
    <description>Extension to manage KEYWORDS metadata</description>
    <files>
        <filename smms_ext="ext.keywords">ext.keywords.php</filename>
    </files>
	<smms_install>
		<database>
			<category>basic</category>
			<databasename>#__smms_keywords</databasename>
			<pregmatch>~&lt;meta[^&gt;]*name=["|']keywords["|'][^&gt;]*content=["|'](.*)["|']\s*/&gt;~Ui</pregmatch>
			<pregmatch2></pregmatch2>
			<html>  &lt;meta name="keywords" content="{VALUE}" /&gt;</html>
			<formfield>&lt;textarea rows="9" name="keywords" id="keywords" cols="50"&gt;{VALUE}&lt;/textarea&gt;</formfield>
			<databasefield>d.custom_keywords</databasefield>
			<sqlselect>d.custom_keywords AS custom_keywords, d.keywords AS keywords</sqlselect>
			<sqljoin>{DATABASENAME} AS d ON d.site_id = a.id</sqljoin>
			<sqlupdatewithvalue>UPDATE {DATABASENAME} SET custom_keywords = '{SWITCH}', keywords = '{VALUE}' WHERE site_id = '{ID}'</sqlupdatewithvalue>
			<sqlupdatenovalue>UPDATE {DATABASENAME} SET custom_keywords = '{SWITCH}' WHERE site_id = '{ID}'</sqlupdatenovalue>
		</database>
	</smms_install>
    <settings>
		<setting name="keywords_encoding" fieldtype="{CUSTOM}">utf-8</setting>
		<setting name="keywords_min2wordslength" fieldtype="{INPUT}">4</setting>
		<setting name="keywords_min2wordsphraselength" fieldtype="{INPUT}">10</setting>
		<setting name="keywords_min2wordsphraseoccur" fieldtype="{INPUT}">3</setting>
		<setting name="keywords_min3wordslength" fieldtype="{INPUT}">4</setting>
		<setting name="keywords_min3wordsphraselength" fieldtype="{INPUT}">12</setting>
		<setting name="keywords_min3wordsphraseoccur" fieldtype="{INPUT}">2</setting>
		<setting name="keywords_minwordlength" fieldtype="{INPUT}">2</setting>
		<setting name="keywords_minwordoccur" fieldtype="{INPUT}">5</setting>
		<setting name="keywords_blacklist" fieldtype="{TEXTAREA}">test</setting>
    </settings>
    <default_values>
		<default_value name="use_defaultkeywords" value="0">{CHOICELIST}</default_value>
		<default_value name="default_keywords" value="">&lt;textarea rows="9" name="default_keywords" id="default_keywords" cols="50"&gt;{VALUE}&lt;/textarea&gt;</default_value>
    </default_values>
</smms_extension>